## org.eclipse.m2m.atl.adt.runner
Class ATLProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.eclipse.m2m.atl.adt.runner.ATLProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class ATLProperties

extends java.util.Properties

Stores ATL launch parameters which are not provided by an ATL file.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `LIBRARIES_ID` The id of the libraries properties inside of the ATL property file.
`static java.lang.String` `METAMODELS_ID` The id of the metamodels properties inside of the ATL property file.
`static java.lang.String` `MODULES_ID` The id of the modules property inside of the ATL property file.
`static java.lang.String` `OPTIONS_ID` The id of the options properties inside of the ATL property file.

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ATLProperties(org.eclipse.core.resources.IFile file)` Constructor.

Method Summary
`org.eclipse.core.resources.IFile` `getIFile()`
`java.util.Map<java.lang.String,java.lang.String>` `getLibraryLocations()`
`java.util.Map<java.lang.String,java.lang.String>` `getMetamodelLocations()`
`java.util.Map<java.lang.String,java.lang.String>` `getOptions()`
`org.eclipse.core.resources.IFile[]` `getTransformationFiles()` Returns the transformation files.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MODULES_ID

    public static final java.lang.String MODULES_ID

  The id of the modules property inside of the ATL property file.

  See Also:
    Constant Field Values

### METAMODELS_ID

    public static final java.lang.String METAMODELS_ID

  The id of the metamodels properties inside of the ATL property file.

  See Also:
    Constant Field Values

### LIBRARIES_ID

    public static final java.lang.String LIBRARIES_ID

  The id of the libraries properties inside of the ATL property file.

  See Also:
    Constant Field Values

### OPTIONS_ID

    public static final java.lang.String OPTIONS_ID

  The id of the options properties inside of the ATL property file.

  See Also:
    Constant Field Values

Constructor Detail

### ATLProperties

    public ATLProperties(org.eclipse.core.resources.IFile file)
                  throws java.io.IOException,
                         org.eclipse.core.runtime.CoreException

  Constructor.

  Parameters:
    `file` - the property file
  Throws:
    `java.io.IOException`
    `org.eclipse.core.runtime.CoreException`

Method Detail

### getIFile

    public org.eclipse.core.resources.IFile getIFile()

### getMetamodelLocations

    public java.util.Map<java.lang.String,java.lang.String> getMetamodelLocations()

### getOptions

    public java.util.Map<java.lang.String,java.lang.String> getOptions()

### getLibraryLocations

    public java.util.Map<java.lang.String,java.lang.String> getLibraryLocations()

### getTransformationFiles

    public org.eclipse.core.resources.IFile[] getTransformationFiles()

  Returns the transformation files.

  Returns:
    the transformation files

Copyright 2007 IBM Corporation and others. All Rights Reserved.